# YTDL Web

## Publishing Docker Image

Prerequsites:

- [docker](https://docs.docker.com/engine/install/)
- [task cli](https://taskfile.dev/installation/)

Steps:

1. Login to the container registry

```sh
docker login git.fifitido.net
```

2. Publish the container image

```sh
task docker:publish
```

## Publishing Chart

Prerequsites:

- [helm cli](https://helm.sh/docs/intro/install/)
- [cm-push helm plugin](https://github.com/chartmuseum/helm-push/).
- [task cli](https://taskfile.dev/installation/)

Steps:

1. Add the helm repo

```sh
helm repo add  --username {username} --password {password} gitea-apps https://gitea.example.com/api/packages/apps/helm
```

2. Publish the chart

```sh
task chart:publish
```
